# Class CSSStyleRuleImpl

java.lang.Object
org.eclipse.e4.ui.css.core.impl.dom.AbstractCSSNode
org.eclipse.e4.ui.css.core.impl.dom.CSSRuleImpl
org.eclipse.e4.ui.css.core.impl.dom.CSSStyleRuleImpl

All Implemented Interfaces:
  `ExtendedCSSRule, CSSRule, CSSStyleRule`

public class CSSStyleRuleImpl extends CSSRuleImpl implements CSSStyleRule, ExtendedCSSRule

## Field Summary

### Fields inherited from interface CSSRule

`CHARSET_RULE, FONT_FACE_RULE, IMPORT_RULE, MEDIA_RULE, PAGE_RULE, STYLE_RULE, UNKNOWN_RULE`

## Constructor Summary

Constructors
Constructor
Description
`CSSStyleRuleImpl(CSSStyleSheet parentStyleSheet, CSSRule parentRule, Selectors.SelectorList selectors)`

## Method Summary

Modifier and Type
Method
Description
`CSSPropertyList`
`getCSSPropertyList()`
Return the list of `CSSProperty` of this `CSSRule`.
`String`
`getCssText()`
`Selectors.SelectorList`
`getSelectorList()`
Return the list of selectors of this `CSSRule`.
`String`
`getSelectorText()`
`CSSStyleDeclaration`
`getStyle()`
`short`
`getType()`
`void`
`setSelectorText(String selectorText)`
`void`
`setStyle(CSSStyleDeclaration styleDeclaration)`
`String`
`toString()`

### Methods inherited from class CSSRuleImpl

`getParentRule, getParentStyleSheet, setCssText`

### Methods inherited from class AbstractCSSNode

`getCSSParser`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface CSSRule

`getParentRule, getParentStyleSheet, setCssText`

## Constructor Details

### CSSStyleRuleImpl

public CSSStyleRuleImpl(CSSStyleSheet parentStyleSheet, CSSRule parentRule, Selectors.SelectorList selectors)

## Method Details

### getType

public short getType()

Specified by:
  `getType` in interface `CSSRule`
Specified by:
  `getType` in class `CSSRuleImpl`

### getCssText

public String getCssText()

Specified by:
  `getCssText` in interface `CSSRule`
Overrides:
  `getCssText` in class `CSSRuleImpl`

### getSelectorText

public String getSelectorText()

Specified by:
  `getSelectorText` in interface `CSSStyleRule`

### getStyle

public CSSStyleDeclaration getStyle()

Specified by:
  `getStyle` in interface `CSSStyleRule`

### setSelectorText

public void setSelectorText(String selectorText) throws DOMException

Specified by:
  `setSelectorText` in interface `CSSStyleRule`
Throws:
  `DOMException`

### getSelectorList

public Selectors.SelectorList getSelectorList()
Description copied from interface: `ExtendedCSSRule`
Return the list of selectors of this `CSSRule`.

Specified by:
  `getSelectorList` in interface `ExtendedCSSRule`

### getCSSPropertyList

public CSSPropertyList getCSSPropertyList()
Description copied from interface: `ExtendedCSSRule`
Return the list of `CSSProperty` of this `CSSRule`.

Specified by:
  `getCSSPropertyList` in interface `ExtendedCSSRule`

### setStyle

public void setStyle(CSSStyleDeclaration styleDeclaration)

### toString

public String toString()

Overrides:
  `toString` in class `Object`